SystemOrganization addCategory: #'JQWidgetBox-Dev-AlphaNumeric'!
SystemOrganization addCategory: #'JQWidgetBox-Dev-Tests'!
SystemOrganization addCategory: #'JQWidgetBox-Dev-Examples'!
SystemOrganization addCategory: #'JQWidgetBox-Dev-AlphaNumeric-Tests'!
SystemOrganization addCategory: #'JQWidgetBox-Dev-AlphaNumeric-Examples'!

JQueryUiTest subclass: #JQWidgetBoxWidgetTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-Dev-Tests'!

!JQWidgetBoxWidgetTest commentStamp: 'tbn 11/2/2009 14:24' prior: 0!
This is a common superclass for tests testing jquery widget wrappers for seaside!

JQWidgetBoxWidgetTest subclass: #JQAlphaNumericTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-Dev-AlphaNumeric-Tests'!

!JQAlphaNumericTest methodsFor: 'testing' stamp: 'tbn 11/2/2009 15:44'!
testModes

	self
		assert: ((self jQuery: 'sample') alphanumeric)
		equals: self function , '("sample").alphanumeric()'.
		
	self
		assert: ((self jQuery: 'sample') numeric)
		equals: self function , '("sample").numeric()'.
		
	self
		assert: ((self jQuery: 'sample') alpha)
		equals: self function , '("sample").alpha()'.			! !

!JQWidgetBoxWidgetTest classSide methodsFor: 'testing' stamp: 'tbn 11/2/2009 15:46'!
isAbstract
	"Return true, but false for subclasses"
	
	^self name = #JQWidgetBoxWidgetTest! !

WAComponent subclass: #JQWidgetExample
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-Dev-Examples'!

!JQWidgetExample commentStamp: 'tbn 11/2/2009 14:33' prior: 0!
This is a superclass to group example classes for jquery widget
wrappers for seaside.  

If you add a subclass you have to override #shortName and
after evaluating

   JQWidgetExample initialize

your example is registered!

JQWidgetExample subclass: #JQAlphaNumericExample
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-Dev-AlphaNumeric-Examples'!

!JQWidgetExample classSide methodsFor: 'testing' stamp: 'tbn 11/2/2009 14:29'!
canBeRoot
	"This is not a root, but subclasses can"
	
	^self name ~= #JQWidgetExample! !

!JQWidgetExample classSide methodsFor: 'class initialization' stamp: 'tbn 11/2/2009 14:27'!
initialize
	| application |
	self subclasses do: [:each |
		application := WAAdmin register: each asApplicationAt: 'jquery-widgets/', each shortName.
		application 
			addLibrary: JQDevelopmentLibrary;
			addLibrary: JQUiDevelopmentLibrary;
			addLibrary: JQWidgetBoxLibrary 
	]	

! !

!JQWidgetExample classSide methodsFor: 'accessing' stamp: 'tbn 11/2/2009 14:27'!
shortName
	^self subclassResponsibility! !
JQWidgetExample initialize!
